List Teams

List the teams the access token can act on behalf of, as a paginated JSON:API collection. Page with page[size] / page[after], following links.next until it is null.

Query Parameters
  • page[size]
    Type: integer
    min:  
    1
    max:  
    100

    Items per page (1–100; defaults to 50).

  • page[after]
    Type: string

    Opaque keyset cursor from a previous response's links.next.

Responses
  • application/vnd.api+json
Request Example for get/v1/teams
curl https://api.clerky.com/v1/teams \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "type": "teams",
      "id": "42",
      "attributes": {
        "name": "Acme, Inc."
      }
    }
  ],
  "links": {
    "self": "/v1/teams",
    "first": "/v1/teams?page%5Bsize%5D=50",
    "prev": null,
    "next": null,
    "last": null
  }
}